<script>
  import Challenges from '@components/Challenges/Challenges.svelte';
  import { requireAuth, requireEventStarted, requireTeam } from '@auth/PermissionRequired';

  const ready = Promise.all([requireTeam(), requireEventStarted(), requireAuth()]);
</script>

<svelte:head>
  <title>Challenges</title>
</svelte:head>

{#await ready}
  <p>Loading...</p>
{:then ev}
  <div class="container-fluid">
    <Challenges />
  </div>
{/await}
